$color_primary: #e6007e;
$color_secondary: #8d014e;
$color_dex_dark: #52002d;
$color_white: #fff;
$color_gray: #222222;
$color_black:#1d1d1b;
$color_black_tr:rgba(#1d1d1b, 0.2);
/* Admin styles */
#publish {
    color: $color_white;
    background-color: $color_primary;
    text-shadow: none;
    border: none;
    box-shadow: none;
}
#wpadminbar{
	background: $color_black;
}
.wp-ui-highlight{
	background-color: $color_primary
}
.wp-core-ui{
	.button-primary{
		background-color: $color_primary;
		text-shadow: none;
		border: none;
		box-shadow: none;
		color: $color_white;
	}
} 
a:active, a:hover{
	color: $color_black
}
.button.installing:before, .button.updating-message:before, .import-php .updating-message:before, .update-message p:before, .updating-message p:before{
	color: $color_black;
}
#adminmenu li.wp-has-submenu.wp-not-current-submenu.opensub:hover:after{
	border-right-color: $color_white;
}
.notice-warning.notice-alt{
	background-color: $color_black_tr;
}
#adminmenu{
	a{
	color:$color_gray;	
	}
} 
#adminmenu div.wp-menu-image:before{
	color: $color_gray;
}
#adminmenu {
	.wp-submenu{
		a {
			color: $color_gray;
		}
		a:hover {
			color: $color_primary !important;
		}
	} 
}
.wp-core-ui .button.button-primary.button-hero{
	box-shadow: 0 2px 0 $color_secondary;
}
#adminmenu .opensub .wp-submenu li.current a, #adminmenu .wp-submenu li.current, #adminmenu .wp-submenu li.current a, #adminmenu .wp-submenu li.current a:focus, #adminmenu .wp-submenu li.current a:hover, #adminmenu a.wp-has-current-submenu:focus+.wp-submenu li.current a{
	color: $color_primary;
}
#adminmenu .awaiting-mod, #adminmenu .update-plugins{
	background-color: $color_black;
}
#adminmenu li a.wp-has-current-submenu .update-plugins, #adminmenu li.current a .awaiting-mod{
	background-color: $color_black;
}
.wp-core-ui .button-primary {
	&.focus, &.hover, &:focus, &:hover {
	  background-color: $color_primary;
	}
  }
#adminmenu li.wp-has-current-submenu a.wp-has-current-submenu{
	background-color: $color_primary;
}
#adminmenu li.menu-top:hover{
	color:  $color_primary;
}
#adminmenu .wp-submenu a:focus, #adminmenu .wp-submenu a:hover, #adminmenu a:hover, #adminmenu li.menu-top>a:focus{
	color:  $color_white;
}
#adminmenu li a:focus div.wp-menu-image:before, #adminmenu li.opensub div.wp-menu-image:before, #adminmenu li:hover div.wp-menu-image:before{
	color:  $color_white;
}
#adminmenu li.menu-top:hover, #adminmenu li.opensub>a.menu-top, #adminmenu li>a.menu-top:focus{
	color:  $color_white;
}
.media-frame a{
	color:  $color_primary;
}
.wrap .add-new-h2:hover, .wrap .page-title-action:hover{
	border-color: $color_primary;
    background: $color_primary;
    color: $color_white;
}
.wrap .add-new-h2, .wrap .add-new-h2:active, .wrap .page-title-action, .wrap .page-title-action:active{
	color:  $color_primary;
}
.view-switch a.current:before{
	color:  $color_primary;
}
a{
	color:  $color_primary;
}
input[type=checkbox]:checked:before{
	color:  $color_primary;
}
input[type=radio]:checked:before{
	background-color: $color_primary;
}
#collapse-button:focus, #collapse-button:hover{
	color:  $color_primary;
}
#wpadminbar .ab-top-menu>li.hover>.ab-item, #wpadminbar.nojq .quicklinks .ab-top-menu>li>.ab-item:focus, #wpadminbar:not(.mobile) .ab-top-menu>li:hover>.ab-item, #wpadminbar:not(.mobile) .ab-top-menu>li>.ab-item:focus{
	color:  $color_primary;
}
#wpadminbar .quicklinks .ab-sub-wrapper .menupop.hover>a, #wpadminbar .quicklinks .menupop ul li a:focus, #wpadminbar .quicklinks .menupop ul li a:focus strong, #wpadminbar .quicklinks .menupop ul li a:hover, #wpadminbar .quicklinks .menupop ul li a:hover strong, #wpadminbar .quicklinks .menupop.hover ul li a:focus, #wpadminbar .quicklinks .menupop.hover ul li a:hover, #wpadminbar .quicklinks .menupop.hover ul li div[tabindex]:focus, #wpadminbar .quicklinks .menupop.hover ul li div[tabindex]:hover, #wpadminbar li #adminbarsearch.adminbar-focused:before, #wpadminbar li .ab-item:focus .ab-icon:before, #wpadminbar li .ab-item:focus:before, #wpadminbar li a:focus .ab-icon:before, #wpadminbar li.hover .ab-icon:before, #wpadminbar li.hover .ab-item:before, #wpadminbar li:hover #adminbarsearch:before, #wpadminbar li:hover .ab-icon:before, #wpadminbar li:hover .ab-item:before, #wpadminbar.nojs .quicklinks .menupop:hover ul li a:focus, #wpadminbar.nojs .quicklinks .menupop:hover ul li a:hover{
	color:  $color_primary;
}
#wpadminbar:not(.mobile)>#wp-toolbar a:focus span.ab-label, #wpadminbar:not(.mobile)>#wp-toolbar li:hover span.ab-label, #wpadminbar>#wp-toolbar li.hover span.ab-label{
	color:  $color_primary;
}
#adminmenu, #adminmenu .wp-submenu, #adminmenuback, #adminmenuwrap{
	background-color: $color_white;
}
#adminmenu .wp-has-current-submenu .wp-submenu, #adminmenu .wp-has-current-submenu .wp-submenu.sub-open, #adminmenu .wp-has-current-submenu.opensub .wp-submenu, #adminmenu a.wp-has-current-submenu:focus+.wp-submenu, .no-js li.wp-has-current-submenu:hover .wp-submenu{
	background-color: $color_white;
}
#adminmenu li.menu-top:hover, #adminmenu li.opensub>a.menu-top, #adminmenu li>a.menu-top:focus{
	background-color: $color_primary;
}
.wp-core-ui .button-primary-disabled, .wp-core-ui .button-primary.disabled, .wp-core-ui .button-primary:disabled, .wp-core-ui .button-primary[disabled]{
	color: $color_white!important;
    background: $color_secondary!important;
    border-color: $color_secondary!important;
    box-shadow: none!important;
    text-shadow: 0 -1px 0 rgba(0,0,0,.1)!important;
    cursor: default;
}
.wp-core-ui .button-primary.focus, .wp-core-ui .button-primary:focus {
    box-shadow: 0 1px 0 $color_secondary, 0 0 2px 1px $color_primary;
} 
.wp-core-ui .button-primary.focus, .wp-core-ui .button-primary.hover, .wp-core-ui .button-primary:focus, .wp-core-ui .button-primary:hover {
    background: $color_primary!important;
    border-color: $color_secondary!important;
    color: $color_white;
}
.wp-person a:focus .gravatar, a:focus, a:focus .media-icon img {
    color: $color_dex_dark;
    box-shadow: 0 0 0 1px $color_primary, 0 0 2px 1px rgba($color_secondary,.8);
}
.wp-core-ui .attachment.details {
    box-shadow: inset 0 0 0 3px $color_white, inset 0 0 0 7px $color_primary;
}
.wp-core-ui .attachment.details .check, .wp-core-ui .attachment.selected .check:focus, .wp-core-ui .media-frame.mode-grid .attachment.selected .check {
    background-color: $color_dex_dark;
    box-shadow: 0 0 0 1px $color_white, 0 0 0 2px $color_primary;
}
.mce-menu .mce-menu-item-normal.mce-active, .mce-menu .mce-menu-item-preview.mce-active, .mce-menu .mce-menu-item.mce-selected, .mce-menu .mce-menu-item:focus, .mce-menu .mce-menu-item:hover {
    background: $color_primary !important;
    color: $color_white !important;
}
.uploader-window-content{
	background-color: rgba($color_primary, 0.5);
	border-color: rgba($color_primary, 1.0);
	outline-color: rgba($color_primary, 0.5);
}
.media-frame.mode-grid .attachment.details:focus, .media-frame.mode-grid .attachment:focus, .media-frame.mode-grid .selected.attachment:focus {
    box-shadow: inset 0 0 2px 3px #f1f1f1, inset 0 0 0 7px $color_primary;
}
.components-button.is-primary {
    background: $color_primary !important;
    border-color: $color_primary !important;
    box-shadow: inset 0 -1px 0 $color_primary !important;
    color: $color_white;
    text-decoration: none;
    text-shadow: unset !important;
} 
.edit-post-sidebar__panel-tab.is-active{
	border-bottom: 3px solid $color_primary !important;
}
.components-button.is-link{
	color: $color_primary !important;
}